Bug 445222 - (CVE-2008-2079) CVE-2008-2079 mysql: privilege escalation via DATA/INDEX DIRECTORY directives
CVE-2008-2079 mysql: privilege escalation via DATA/INDEX DIRECTORY directives
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=internet,reported=20080502,pub...
: Security
Depends On: 445321 445804 445805 445806 445856 445857 448486 448487
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 11:31 EDT by Tomas Hoger
Modified: 2013-05-31 11:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 969506 (view as bug list)
Environment:
Last Closed: 2010-01-08 09:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-05 11:31:42 EDT
MySQL 4.1.24, 5.0.60, 5.1.24, and 6.0.5 fixes an issue allowing an authenticated
attacker to gain privileges to tables that will be created by some other
database user in future using MyISAM storage engine, if an attacker can predict
names of such tables.

Attacker can create a table using DATA/INDEX DIRECTORY directives causing data
and index files (.MYD/.MYI) to be created in some other directory writable by
mysql server, including directories used to store table files of other users'
databases.  If victim later creates table with the same name, attacker's data
and index files are overwritten by victim's files, but access privileges are not
revoked.  Attacker gains access to newly created victim's table.

References:
http://bugs.mysql.com/bug.php?id=32167
http://dev.mysql.com/doc/refman/4.1/en/news-4-1-24.html
http://dev.mysql.com/doc/refman/5.0/en/releasenotes-es-5-0-60.html
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-24.html
http://dev.mysql.com/doc/refman/6.0/en/news-6-0-5.html
Comment 1 Tomas Hoger 2008-05-05 11:34:40 EDT
Affected versions shipped in:
- Red Hat Enterprise Linux 4, 5
- Red Hat Applications Stack v1, v2
- Fedora 7, 8, 9

Not affected versions shipped in:
- Red Hat Enterprise Linux 2.1, 3 (DATA/INDEX DIRECTORY directives are not
  supported)
Comment 13 Tomas Hoger 2008-07-04 09:14:49 EDT
It was discovered that the upstream fix for this issue is incomplete.  See bug
#454077 for details.
Comment 14 errata-xmlrpc 2009-09-02 05:45:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1289 https://rhn.redhat.com/errata/RHSA-2009-1289.html
Comment 15 errata-xmlrpc 2009-09-02 08:09:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1289 https://rhn.redhat.com/errata/RHSA-2009-1289.html

Note You need to log in before you can comment on or make changes to this bug.